--- Uses Stratagus Library path!

---=========================================================
---Load( "scripts/red-ants/unit-missile-house/wc2-addon-unit-missile-house.lua")
---Load( "scripts/red-ants/unit-sniper/wc2-addon-unit-sniper.lua")


---;;Location Identifier #1


Load("scripts/special/wc2-unit-acid-ant.lua")

Load("scripts/special/wc2-unit-advwarrior.lua")
Load("scripts/special/wc2-unit-axe-ant.lua")
Load("scripts/special/wc2-unit-bee.lua")
Load("scripts/special/wc2-unit-beetle.lua")
Load("scripts/special/wc2-unit-bee-warrior.lua")

Load("scripts/special/wc2-unit-butterfly.lua")
Load("scripts/special/wc2-unit-grenadier.lua")
Load("scripts/special/wc2-unit-helicopter.lua")
Load("scripts/special/wc2-unit-medic-ant.lua")
Load("scripts/special/wc2-unit-medic-house.lua")

Load("scripts/special/wc2-unit-missile-house.lua")

Load("scripts/special/wc2-unit-sniper.lua")

Load("scripts/special/wc2-unit-temple.lua")

Load("scripts/special/wc2-unit-tunnel.lua")


---=========================================================
Load("scripts/wc2-unit-scout.lua")
Load("scripts/wc2.lua")


Load("scripts/tilesets.lua")

---=========================================================
---;;Location Identifier #2
---
---=========================================================

Load("scripts/icons.lua")

---==========================================================

---    Load( "scripts/red-ants/unit-missile-house/sounds-addon-unit-missile-house.lua"))
--- if (WithSound()) then
---    Load( "scripts/red-ants/unit-sniper/sounds-addon-unit-sniper.scripts"))
--- end
---;;Location Identifier #9
---============================================================

Load("scripts/sound.lua")

---;;===========================================================
---Load( "scripts/red-ants/unit-missile-house/missiles-addon-unit-missile-house.lua")
---Load( "scripts/red-ants/unit-sniper/missiles-addon-unit-sniper.lua")

---;;Location Identifier #3
---;;Load( "scripts/missiles.lua")
---;;=========================================================

Load( "scripts/missiles.lua")
Load( "scripts/spells.lua")

Load("scripts/constructions.lua")

---==========================================================
---Load( "scripts/red-ants/unit-missile-house/anim-addon-unit-missile-house.lua")
---Load( "scripts/red-ants/unit-sniper/anim-addon-unit-sniper.lua")

---;;Location Identifier #4
---;;Load( "scripts/anim.scripts")
---========================================================

Load( "scripts/anim.lua")
Load( "scripts/units.lua")

---;;=========================================================
---Load( "scripts/red-ants/unit-missile-house/units-addon-unit-missile-house.lua")
---Load( "scripts/red-ants/unit-sniper/units-addon-unit-sniper.lua")

---;;Location Identifier #5
---;;Load( "scripts/units.scripts")
---=========================================================

---=========================================================
---Load( "scripts/red-ants/unit-missile-house/upgrade-addon-unit-missile-house.lua")
---Load( "scripts/red-ants/unit-sniper/upgrade-addon-unit-sniper.lua")


---;;Location Identifier #6
---;;=========================================================

Load("scripts/upgrade.lua")
Load("scripts/fonts.lua")

---;;=========================================================
---;;Location Identifier #7
---;;(load "scripts/alliance/buttons-addon.scripts" #f #t)
---Load( "scripts/red-ants/unit-missile-house/buttons-addon-unit-missile-house.lua")
---Load( "scripts/red-ants/unit-sniper/buttons-addon-unit-sniper.lua")

---;;=========================================================

Load("scripts/buttons.lua")
Load("scripts/ui.lua")
SleepFactor = 5
if AiLevel == 1 then 
	SleepFactor = 100
	print("Ailevel set to Easy... \n")	
end
if AiLevel == 2 then
	SleepFactor = 5
	print("Ailevel set to Moderate... \n")
end
if AiLevel == 3 then
	SleepFactor = 1
	print("Ailevel set to Hard... \n")
end


Load("scripts/ai.lua")
Load("scripts/campaigns.lua")
Load("scripts/credits.lua")
Load("scripts/tips.lua")
Load("scripts/ranks.lua")
Load("scripts/menus_generic.lua")
Load("scripts/menus.lua")
Load("scripts/cheats.lua")


Load("scripts/unit-scout.lua")

---;;Location Identifier #8
---================== Load specialized units
Load("scripts/special/unit-grenadier.lua")
Load("scripts/special/unit-beetle.lua")
Load("scripts/special/unit-axe-ant.lua")
Load("scripts/special/unit-advwarrior.lua")
Load("scripts/special/unit-helicopter.lua")
Load("scripts/special/unit-butterfly.lua")

Load("scripts/special/unit-missile-house.lua")
Load("scripts/special/unit-sniper.lua")
Load("scripts/special/unit-acid-ant.lua")

Load("scripts/special/unit-medic-house.lua")
Load("scripts/special/unit-medic.lua")
Load("scripts/special/unit-temple.lua")
Load("scripts/special/unit-tunnel.lua")
Load("scripts/special/unit-bee.lua")
Load("scripts/special/unit-bee-warrior.lua")
Load("scripts/upgradeTCG.lua")

